Module jdk.security.auth
Package com.sun.security.auth

## Class NTSidPrimaryGroupPrincipal

- java.lang.Object
- - com.sun.security.auth.NTSid
  - - com.sun.security.auth.NTSidPrimaryGroupPrincipal

- All Implemented Interfaces:
    `Serializable`, `Principal`

      public class NTSidPrimaryGroupPrincipal
      extends NTSid

  This class extends `NTSid` and represents a Windows NT user's primary group SID.

  Principals such as this `NTSidPrimaryGroupPrincipal` may be associated with a particular `Subject` to augment that `Subject` with an additional identity. Refer to the `Subject` class for more information on how to achieve this. Authorization decisions can then be based upon the Principals associated with a `Subject`.

  See Also:
    `Principal`, `Subject`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NTSidPrimaryGroupPrincipal​(String name)` | Create an `NTSidPrimaryGroupPrincipal` with a Windows NT group SID.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` | Compares the specified Object with this `NTSidPrimaryGroupPrincipal` for equality.
    `String` | `toString​()` | Return a string representation of this `NTSidPrimaryGroupPrincipal`.

    - ### Methods inherited from class com.sun.security.auth.NTSid

      `getName, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.security.Principal

      `implies`

- - ### Constructor Detail

    - #### NTSidPrimaryGroupPrincipal

          public NTSidPrimaryGroupPrincipal​(String name)

      Create an `NTSidPrimaryGroupPrincipal` with a Windows NT group SID.
      Parameters:
        `name` - the primary Windows NT group SID for this user.
      Throws:
        `NullPointerException` - if the `name` is `null`.

  - ### Method Detail

    - #### toString

          public String toString​()

      Return a string representation of this `NTSidPrimaryGroupPrincipal`.
      Specified by:
        `toString` in interface `Principal`
      Overrides:
        `toString` in class `NTSid`
      Returns:
        a string representation of this `NTSidPrimaryGroupPrincipal`.

    - #### equals

          public boolean equals​(Object o)

      Compares the specified Object with this `NTSidPrimaryGroupPrincipal` for equality. Returns true if the given object is also a `NTSidPrimaryGroupPrincipal` and the two NTSidPrimaryGroupPrincipals have the same SID.
      Specified by:
        `equals` in interface `Principal`
      Overrides:
        `equals` in class `NTSid`
      Parameters:
        `o` - Object to be compared for equality with this `NTSidPrimaryGroupPrincipal`.
      Returns:
        true if the specified Object is equal to this `NTSidPrimaryGroupPrincipal`.
      See Also:
        `Object.hashCode()`, `HashMap`